Name:           muParser
Summary:        A fast math parser library
Version:        1.34
Release:        %mkrel 3
BuildRequires:  dos2unix
URL:            http://muparser.sourceforge.net
License:        MIT
Group:          Development/C++
Source:         http://puzzle.dl.sourceforge.net/sourceforge/muparser/muparser_v134.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package devel
Summary:        Development and doc files for {%name}
Requires:       %{name} = %{version}-%{release} pkgconfig
Group:          Development/C++

%description
Many applications require the parsing of mathematical expressions.
The main objective of this project is to provide a fast and easy way
of doing this. muParser is an extensible high performance math parser
library. It is based on transforming an expression into a bytecode
and precalculating constant parts of it.

%description devel
Development files and the documentation

%prep
%setup -q -n muparser_v134

%build
%configure --enable-shared=yes --enable-debug=no --enable-samples=no
make CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
mv docs/html .
dos2unix *.txt html/{script,sources,misc}/*
chmod ugo-x html/{images,sources,misc}/*

%install
rm -rf $RPM_BUILD_ROOT
make libdir=$RPM_BUILD_ROOT%{_libdir} prefix=$RPM_BUILD_ROOT/usr install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes.txt
%doc Credits.txt
%doc License.txt
%{_libdir}/libmuparser.so.0
%{_libdir}/libmuparser.so.0.0.0

%files devel
%{_includedir}/*
%doc html
%{_libdir}/libmuparser.so
%{_libdir}/pkgconfig/muparser.pc



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.34-3.mga3
+ Revision: 360484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 17 2012 shlomif <shlomif> 1.34-2.mga3
+ Revision: 261310
- rpmlint fixes
- Imported from Fedora RawHide

